package concurrency.week08;

class CarToWest implements Runnable {

	private OnewayBridge bridge;

	CarToWest(OnewayBridge bridge) {
		this.bridge = bridge;
	}

	@Override
	public void run() {
		try {
			bridge.enterToWest();
			Thread.sleep((long) (100*Math.random()));
		} catch (InterruptedException e) {
			e.printStackTrace();
			return;
		}
		bridge.exitToWest();
	}

}