package concurrency.week08;

class CarToEast implements Runnable {

	private OnewayBridge bridge;

	CarToEast(OnewayBridge bridge) {
		this.bridge = bridge;
	}

	@Override
	public void run() {
		try {
			bridge.enterToEast();
			Thread.sleep((long) (100*Math.random()));
		} catch (InterruptedException e) {
			e.printStackTrace();
			return;
		}
		bridge.exitToEast();
	}

}